Activity log for bug #591470

Date Who What changed Old value New value Message
2010-06-08 21:40:38 Michael Martin-Smucker bug added bug
2010-06-08 21:41:17 Michael Martin-Smucker visibility private public
2010-06-08 21:41:17 Michael Martin-Smucker security vulnerability yes no
2010-06-26 12:58:55 Luca Falavigna gdebi: importance Undecided Medium
2010-06-26 12:58:55 Luca Falavigna gdebi: status New Fix Released
2010-07-13 19:27:48 Dylan McCall bug task added gdebi (Ubuntu)
2010-07-13 19:29:40 Dylan McCall bug added subscriber Dylan McCall
2010-07-16 21:12:44 bbordwell gdebi (Ubuntu): importance Undecided Medium
2010-07-16 21:12:44 bbordwell gdebi (Ubuntu): status New Triaged
2010-07-16 21:18:15 bbordwell gdebi (Ubuntu): status Triaged Fix Released
2010-07-16 21:18:24 bbordwell bug added subscriber bbordwell
2010-07-16 22:27:21 Launchpad Janitor branch linked lp:~dylanmccall/ubuntu/lucid/gdebi/bug-591470
2010-07-16 22:58:03 Dylan McCall description gdebi crashes when I try to install the package: liferea-data_1.7.4-2~llfsyncfix1+sikon8_all.deb from https://edge.launchpad.net/~sikon/+archive/liferea-libindicate/+packages This happens on a fully up-to-date Lucid x64 installation. Even if there's something wrong with the package, it would be nice if gdebi would give some useful output instead of crashing. Here's the trace: michael@michael-desktop:~/Downloads$ gdebi ./liferea-data_1.7.4-2~llfsyncfix1+sikon8_all.deb Reading package lists... Done Building dependency tree Reading state information... Done Building data structures... Done Traceback (most recent call last): File "/usr/bin/gdebi", line 83, in <module> if not debi.open(args[0]): File "/usr/lib/python2.6/dist-packages/GDebi/GDebiCli.py", line 86, in open if not self._deb.checkDeb(): File "/usr/lib/python2.6/dist-packages/GDebi/DebPackage.py", line 368, in checkDeb if not self.checkBreaksExistingPackages(): File "/usr/lib/python2.6/dist-packages/GDebi/DebPackage.py", line 283, in checkBreaksExistingPackages 'depversion' : dep.version} TypeError: not enough arguments for format string Let me know if there's any more information that I can provide. The following issue is now fixed in Maverick but affects Lucid. Backporting the entirety of gdebi 0.6.1 from Maverick won't do, but the fix is a fairly simple one-line (one character!) change in lp:gdebi, revision 314. I picked that revision specifically and pushed it to the linked bzr branch. This bug creates a crash that makes some packages impossible to install for our users. For example, in directing a user to install the proposed libusb package to fix a printer problem, I found that I could not give him easy directions with gdebi because it crashed upon opening the package. The issue can definitely harm the experience for our end users, and it will be especially troublesome going forwards as developers running newer systems will not recognize that packages they are sending to Lucid users will create this crash. There is, unfortunately, some regression potential because this is a string change. There are 40 translations based on (and, themselves, containing) the offending string: https://translations.edge.launchpad.net/ubuntu/lucid/+source/gdebi/+pots/gdebi Thankfully, we can change those really easily (a simple script would do it, though even doing it by brute force wouldn't take _too_ long). The only thing is I expect this would need some work to be timed right :) Original bug report follows… ----- gdebi crashes when I try to install the package: liferea-data_1.7.4-2~llfsyncfix1+sikon8_all.deb from https://edge.launchpad.net/~sikon/+archive/liferea-libindicate/+packages This happens on a fully up-to-date Lucid x64 installation. Even if there's something wrong with the package, it would be nice if gdebi would give some useful output instead of crashing. Here's the trace: michael@michael-desktop:~/Downloads$ gdebi ./liferea-data_1.7.4-2~llfsyncfix1+sikon8_all.deb Reading package lists... Done Building dependency tree Reading state information... Done Building data structures... Done   Traceback (most recent call last):   File "/usr/bin/gdebi", line 83, in <module>     if not debi.open(args[0]):   File "/usr/lib/python2.6/dist-packages/GDebi/GDebiCli.py", line 86, in open     if not self._deb.checkDeb():   File "/usr/lib/python2.6/dist-packages/GDebi/DebPackage.py", line 368, in checkDeb     if not self.checkBreaksExistingPackages():   File "/usr/lib/python2.6/dist-packages/GDebi/DebPackage.py", line 283, in checkBreaksExistingPackages     'depversion' : dep.version} TypeError: not enough arguments for format string Let me know if there's any more information that I can provide.
2010-07-16 23:00:26 Dylan McCall description The following issue is now fixed in Maverick but affects Lucid. Backporting the entirety of gdebi 0.6.1 from Maverick won't do, but the fix is a fairly simple one-line (one character!) change in lp:gdebi, revision 314. I picked that revision specifically and pushed it to the linked bzr branch. This bug creates a crash that makes some packages impossible to install for our users. For example, in directing a user to install the proposed libusb package to fix a printer problem, I found that I could not give him easy directions with gdebi because it crashed upon opening the package. The issue can definitely harm the experience for our end users, and it will be especially troublesome going forwards as developers running newer systems will not recognize that packages they are sending to Lucid users will create this crash. There is, unfortunately, some regression potential because this is a string change. There are 40 translations based on (and, themselves, containing) the offending string: https://translations.edge.launchpad.net/ubuntu/lucid/+source/gdebi/+pots/gdebi Thankfully, we can change those really easily (a simple script would do it, though even doing it by brute force wouldn't take _too_ long). The only thing is I expect this would need some work to be timed right :) Original bug report follows… ----- gdebi crashes when I try to install the package: liferea-data_1.7.4-2~llfsyncfix1+sikon8_all.deb from https://edge.launchpad.net/~sikon/+archive/liferea-libindicate/+packages This happens on a fully up-to-date Lucid x64 installation. Even if there's something wrong with the package, it would be nice if gdebi would give some useful output instead of crashing. Here's the trace: michael@michael-desktop:~/Downloads$ gdebi ./liferea-data_1.7.4-2~llfsyncfix1+sikon8_all.deb Reading package lists... Done Building dependency tree Reading state information... Done Building data structures... Done   Traceback (most recent call last):   File "/usr/bin/gdebi", line 83, in <module>     if not debi.open(args[0]):   File "/usr/lib/python2.6/dist-packages/GDebi/GDebiCli.py", line 86, in open     if not self._deb.checkDeb():   File "/usr/lib/python2.6/dist-packages/GDebi/DebPackage.py", line 368, in checkDeb     if not self.checkBreaksExistingPackages():   File "/usr/lib/python2.6/dist-packages/GDebi/DebPackage.py", line 283, in checkBreaksExistingPackages     'depversion' : dep.version} TypeError: not enough arguments for format string Let me know if there's any more information that I can provide. The following issue is now fixed in Maverick but affects Lucid. Backporting the entirety of gdebi 0.6.1 from Maverick won't do, but the fix is a fairly simple one-line (one character!) change in lp:gdebi, revision 314. I picked that revision specifically and pushed it to lp:~dylanmccall/ubuntu/lucid/gdebi/bug-591470 This bug creates a crash that makes some packages impossible to install for our users. For example, in directing a user to install the proposed libusb package to fix a printer problem, I found that I could not give him easy directions with gdebi because it crashed upon opening the package. The issue can definitely harm the experience for our end users, and it will be especially troublesome going forwards as developers running newer systems will not recognize that packages they are sending to Lucid users will create this crash. There is, unfortunately, some regression potential because this is a string change. There are 40 translations based on (and, themselves, containing) the offending string: https://translations.edge.launchpad.net/ubuntu/lucid/+source/gdebi/+pots/gdebi Thankfully, we can change those really easily (a simple script would do it, though even doing it by brute force wouldn't take _too_ long). The only thing is I expect this would need some work to be timed right :) Original bug report follows… ----- gdebi crashes when I try to install the package: liferea-data_1.7.4-2~llfsyncfix1+sikon8_all.deb from https://edge.launchpad.net/~sikon/+archive/liferea-libindicate/+packages This happens on a fully up-to-date Lucid x64 installation. Even if there's something wrong with the package, it would be nice if gdebi would give some useful output instead of crashing. Here's the trace: michael@michael-desktop:~/Downloads$ gdebi ./liferea-data_1.7.4-2~llfsyncfix1+sikon8_all.deb Reading package lists... Done Building dependency tree Reading state information... Done Building data structures... Done   Traceback (most recent call last):   File "/usr/bin/gdebi", line 83, in <module>     if not debi.open(args[0]):   File "/usr/lib/python2.6/dist-packages/GDebi/GDebiCli.py", line 86, in open     if not self._deb.checkDeb():   File "/usr/lib/python2.6/dist-packages/GDebi/DebPackage.py", line 368, in checkDeb     if not self.checkBreaksExistingPackages():   File "/usr/lib/python2.6/dist-packages/GDebi/DebPackage.py", line 283, in checkBreaksExistingPackages     'depversion' : dep.version} TypeError: not enough arguments for format string Let me know if there's any more information that I can provide.
2010-07-16 23:01:07 Dylan McCall description The following issue is now fixed in Maverick but affects Lucid. Backporting the entirety of gdebi 0.6.1 from Maverick won't do, but the fix is a fairly simple one-line (one character!) change in lp:gdebi, revision 314. I picked that revision specifically and pushed it to lp:~dylanmccall/ubuntu/lucid/gdebi/bug-591470 This bug creates a crash that makes some packages impossible to install for our users. For example, in directing a user to install the proposed libusb package to fix a printer problem, I found that I could not give him easy directions with gdebi because it crashed upon opening the package. The issue can definitely harm the experience for our end users, and it will be especially troublesome going forwards as developers running newer systems will not recognize that packages they are sending to Lucid users will create this crash. There is, unfortunately, some regression potential because this is a string change. There are 40 translations based on (and, themselves, containing) the offending string: https://translations.edge.launchpad.net/ubuntu/lucid/+source/gdebi/+pots/gdebi Thankfully, we can change those really easily (a simple script would do it, though even doing it by brute force wouldn't take _too_ long). The only thing is I expect this would need some work to be timed right :) Original bug report follows… ----- gdebi crashes when I try to install the package: liferea-data_1.7.4-2~llfsyncfix1+sikon8_all.deb from https://edge.launchpad.net/~sikon/+archive/liferea-libindicate/+packages This happens on a fully up-to-date Lucid x64 installation. Even if there's something wrong with the package, it would be nice if gdebi would give some useful output instead of crashing. Here's the trace: michael@michael-desktop:~/Downloads$ gdebi ./liferea-data_1.7.4-2~llfsyncfix1+sikon8_all.deb Reading package lists... Done Building dependency tree Reading state information... Done Building data structures... Done   Traceback (most recent call last):   File "/usr/bin/gdebi", line 83, in <module>     if not debi.open(args[0]):   File "/usr/lib/python2.6/dist-packages/GDebi/GDebiCli.py", line 86, in open     if not self._deb.checkDeb():   File "/usr/lib/python2.6/dist-packages/GDebi/DebPackage.py", line 368, in checkDeb     if not self.checkBreaksExistingPackages():   File "/usr/lib/python2.6/dist-packages/GDebi/DebPackage.py", line 283, in checkBreaksExistingPackages     'depversion' : dep.version} TypeError: not enough arguments for format string Let me know if there's any more information that I can provide. The following issue is now fixed in Maverick but affects Lucid. Backporting the entirety of gdebi 0.6.1 from Maverick won't do, but the fix is a fairly simple one-line (one character!) change in lp:gdebi, revision 314. I picked that revision specifically and pushed it to lp:~dylanmccall/ubuntu/lucid/gdebi/bug-591470 This bug creates a crash that makes some packages impossible for our users to install without resorting to a terminal. For example, in directing a user to install the proposed libusb package to fix a printer problem, I found that I could not give him easy directions with gdebi because it crashed upon opening the package. The issue can definitely harm the experience for our end users, and it will be especially troublesome going forwards as developers running newer systems will not recognize that packages they are sending to Lucid users will create this crash. There is, unfortunately, some regression potential because this is a string change. There are 40 translations based on (and, themselves, containing) the offending string: https://translations.edge.launchpad.net/ubuntu/lucid/+source/gdebi/+pots/gdebi Thankfully, we can change those really easily (a simple script would do it, though even doing it by brute force wouldn't take _too_ long). The only thing is I expect this would need some work to be timed right :) Original bug report follows… ----- gdebi crashes when I try to install the package: liferea-data_1.7.4-2~llfsyncfix1+sikon8_all.deb from https://edge.launchpad.net/~sikon/+archive/liferea-libindicate/+packages This happens on a fully up-to-date Lucid x64 installation. Even if there's something wrong with the package, it would be nice if gdebi would give some useful output instead of crashing. Here's the trace: michael@michael-desktop:~/Downloads$ gdebi ./liferea-data_1.7.4-2~llfsyncfix1+sikon8_all.deb Reading package lists... Done Building dependency tree Reading state information... Done Building data structures... Done   Traceback (most recent call last):   File "/usr/bin/gdebi", line 83, in <module>     if not debi.open(args[0]):   File "/usr/lib/python2.6/dist-packages/GDebi/GDebiCli.py", line 86, in open     if not self._deb.checkDeb():   File "/usr/lib/python2.6/dist-packages/GDebi/DebPackage.py", line 368, in checkDeb     if not self.checkBreaksExistingPackages():   File "/usr/lib/python2.6/dist-packages/GDebi/DebPackage.py", line 283, in checkBreaksExistingPackages     'depversion' : dep.version} TypeError: not enough arguments for format string Let me know if there's any more information that I can provide.
2010-07-16 23:02:23 Dylan McCall nominated for series Ubuntu Lucid
2010-07-16 23:03:06 Dylan McCall bug added subscriber Ubuntu Stable Release Updates Team
2010-07-25 23:57:38 Dylan McCall gdebi (Ubuntu): status Fix Released Confirmed
2010-07-25 23:59:56 Dylan McCall gdebi (Ubuntu): status Confirmed Fix Released
2010-07-26 07:34:12 Martin Pitt bug task added gdebi (Ubuntu Lucid)
2010-08-04 08:17:16 Michael Vogt gdebi (Ubuntu Lucid): status New In Progress
2010-08-04 08:17:23 Michael Vogt gdebi (Ubuntu Lucid): importance Undecided Medium
2010-08-04 08:23:04 Michael Vogt description The following issue is now fixed in Maverick but affects Lucid. Backporting the entirety of gdebi 0.6.1 from Maverick won't do, but the fix is a fairly simple one-line (one character!) change in lp:gdebi, revision 314. I picked that revision specifically and pushed it to lp:~dylanmccall/ubuntu/lucid/gdebi/bug-591470 This bug creates a crash that makes some packages impossible for our users to install without resorting to a terminal. For example, in directing a user to install the proposed libusb package to fix a printer problem, I found that I could not give him easy directions with gdebi because it crashed upon opening the package. The issue can definitely harm the experience for our end users, and it will be especially troublesome going forwards as developers running newer systems will not recognize that packages they are sending to Lucid users will create this crash. There is, unfortunately, some regression potential because this is a string change. There are 40 translations based on (and, themselves, containing) the offending string: https://translations.edge.launchpad.net/ubuntu/lucid/+source/gdebi/+pots/gdebi Thankfully, we can change those really easily (a simple script would do it, though even doing it by brute force wouldn't take _too_ long). The only thing is I expect this would need some work to be timed right :) Original bug report follows… ----- gdebi crashes when I try to install the package: liferea-data_1.7.4-2~llfsyncfix1+sikon8_all.deb from https://edge.launchpad.net/~sikon/+archive/liferea-libindicate/+packages This happens on a fully up-to-date Lucid x64 installation. Even if there's something wrong with the package, it would be nice if gdebi would give some useful output instead of crashing. Here's the trace: michael@michael-desktop:~/Downloads$ gdebi ./liferea-data_1.7.4-2~llfsyncfix1+sikon8_all.deb Reading package lists... Done Building dependency tree Reading state information... Done Building data structures... Done   Traceback (most recent call last):   File "/usr/bin/gdebi", line 83, in <module>     if not debi.open(args[0]):   File "/usr/lib/python2.6/dist-packages/GDebi/GDebiCli.py", line 86, in open     if not self._deb.checkDeb():   File "/usr/lib/python2.6/dist-packages/GDebi/DebPackage.py", line 368, in checkDeb     if not self.checkBreaksExistingPackages():   File "/usr/lib/python2.6/dist-packages/GDebi/DebPackage.py", line 283, in checkBreaksExistingPackages     'depversion' : dep.version} TypeError: not enough arguments for format string Let me know if there's any more information that I can provide. TEST CASE: 1. test if gdebi keeps working after the upgrade (a more sophisticated testcase would be good, but we need a link to a package that triggers the crash). The following issue is now fixed in Maverick but affects Lucid. Backporting the entirety of gdebi 0.6.1 from Maverick won't do, but the fix is a fairly simple one-line (one character!) change in lp:gdebi, revision 314. I picked that revision specifically and pushed it to lp:~dylanmccall/ubuntu/lucid/gdebi/bug-591470 This bug creates a crash that makes some packages impossible for our users to install without resorting to a terminal. For example, in directing a user to install the proposed libusb package to fix a printer problem, I found that I could not give him easy directions with gdebi because it crashed upon opening the package. The issue can definitely harm the experience for our end users, and it will be especially troublesome going forwards as developers running newer systems will not recognize that packages they are sending to Lucid users will create this crash. There is, unfortunately, some regression potential because this is a string change. There are 40 translations based on (and, themselves, containing) the offending string: https://translations.edge.launchpad.net/ubuntu/lucid/+source/gdebi/+pots/gdebi Thankfully, we can change those really easily (a simple script would do it, though even doing it by brute force wouldn't take _too_ long). The only thing is I expect this would need some work to be timed right :) Original bug report follows… ----- gdebi crashes when I try to install the package: liferea-data_1.7.4-2~llfsyncfix1+sikon8_all.deb from https://edge.launchpad.net/~sikon/+archive/liferea-libindicate/+packages This happens on a fully up-to-date Lucid x64 installation. Even if there's something wrong with the package, it would be nice if gdebi would give some useful output instead of crashing. Here's the trace: michael@michael-desktop:~/Downloads$ gdebi ./liferea-data_1.7.4-2~llfsyncfix1+sikon8_all.deb Reading package lists... Done Building dependency tree Reading state information... Done Building data structures... Done   Traceback (most recent call last):   File "/usr/bin/gdebi", line 83, in <module>     if not debi.open(args[0]):   File "/usr/lib/python2.6/dist-packages/GDebi/GDebiCli.py", line 86, in open     if not self._deb.checkDeb():   File "/usr/lib/python2.6/dist-packages/GDebi/DebPackage.py", line 368, in checkDeb     if not self.checkBreaksExistingPackages():   File "/usr/lib/python2.6/dist-packages/GDebi/DebPackage.py", line 283, in checkBreaksExistingPackages     'depversion' : dep.version} TypeError: not enough arguments for format string Let me know if there's any more information that I can provide.
2010-08-17 06:04:37 Martin Pitt gdebi (Ubuntu Lucid): status In Progress Fix Committed
2010-08-17 06:04:41 Martin Pitt bug added subscriber SRU Verification
2010-08-17 06:04:47 Martin Pitt tags verification-needed
2010-08-17 06:16:22 Launchpad Janitor branch linked lp:ubuntu/lucid-proposed/gdebi
2010-09-04 22:12:49 Michael Martin-Smucker gdebi (Ubuntu Lucid): status Fix Committed Fix Released
2010-09-05 09:21:49 Jean-Baptiste Lallement gdebi (Ubuntu Lucid): status Fix Released Fix Committed
2010-09-05 11:23:33 Jean-Baptiste Lallement tags verification-needed verification-done
2010-09-07 08:14:37 Launchpad Janitor gdebi (Ubuntu Lucid): status Fix Committed Fix Released
2011-09-19 21:23:06 Ubuntu Foundations Team Bug Bot tags verification-done testcase verification-done